<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotFeedbackMessage;

use UnexpectedValueException;




class BotFeedbackKindMultiplePositive
{
    


    const BOT_FEEDBACK_MULTIPLE_POSITIVE_UNSPECIFIED = 0;
    


    const BOT_FEEDBACK_MULTIPLE_POSITIVE_GENERIC = 1;

    private static $valueToName = [
        self::BOT_FEEDBACK_MULTIPLE_POSITIVE_UNSPECIFIED => 'BOT_FEEDBACK_MULTIPLE_POSITIVE_UNSPECIFIED',
        self::BOT_FEEDBACK_MULTIPLE_POSITIVE_GENERIC => 'BOT_FEEDBACK_MULTIPLE_POSITIVE_GENERIC',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

